"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpException_1 = __importDefault(require("./HttpException"));
const http_status_1 = __importDefault(require("../utils/http-status"));
const statusCode = http_status_1.default.UNPROCESSABLE_ENTITY;
const defaultMessage = `${statusCode} Unprocessable entity`;
class UnprocessableEntityException extends HttpException_1.default {
    constructor(message = defaultMessage, properties) {
        super(statusCode, message, properties);
        this.name = 'UnprocessableEntityException';
    }
}
exports.default = UnprocessableEntityException;
