"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpException_1 = __importDefault(require("../exceptions/HttpException"));
function errorMiddleware(error, _, res, next) {
    console.error(error);
    if (error instanceof HttpException_1.default) {
        return error.sendResponse(res);
    }
    return res.status(500).json({
        message: (error === null || error === void 0 ? void 0 : error.message) || 'Unknown error has occurred, Please try again.',
        statusCode: 500
    });
}
exports.default = errorMiddleware;
